# tag: Tom Lord Sun Jan 26 23:57:39 2003 (lord@regexps.com--2002/ChangeLog.lord--1.0)
#

2002-05-17 GMT	Tom Lord <lord@regexps.com>	patch-41

    Summary:
      updated =NEWS
    Revision:
      hackerlab--lord--1.0--patch-41

    Updated =NEWS.
    

    new files:
     .arch-ids/=NEWS.id =NEWS

    removed files:
     =NEWS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new directories:
     .arch-ids


2002-05-16 GMT	Tom Lord <lord@regexps.com>	patch-40

    Summary:
      piw disable
    Revision:
      hackerlab--lord--1.0--patch-40

    Disable PIW.

    removed files:
     piw piw-glob piw-malloc

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-39

    Summary:
      put PIW back in place for the moment
    Revision:
      hackerlab--lord--1.0--patch-39

    Put PIW back in place for the moment.

    new files:
     piw piw-glob piw-malloc

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-38

    Summary:
      unbuffering support
    Revision:
      hackerlab--lord--1.0--patch-38

    **** ./vu/safe-vfdbuf.c
    **** ./vu/safe-vfdbuf.h
    
    	New function, `safe_unbuffer' (see `vfdbuf_unbuffer_fd')
     
     
    **** ./vu/vfdbuf.c
    **** ./vu/vfdbuf.h
    
    	New function, `vfdbuf_unbuffer_fd', to get rid of an
    	established buffer.
    
     

    removed files:
     piw piw-glob piw-malloc

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in vu/safe-vfdbuf.c vu/safe-vfdbuf.h vu/vfdbuf.c
     vu/vfdbuf.h

    removed directories:
     =piw


2002-05-10 GMT	Tom Lord <lord@regexps.com>	patch-37

    Summary:
      very minor tweaks
    Revision:
      hackerlab--lord--1.0--patch-37

    
    *** added files
     
        ./os/sys/mman.h
    
    	Vector to system include for `mmap' and friends.
     
    
    *** patched regular files
     
    **** ./os/sys/stat.h
    
    	Include the prereq (sys/types.h)
     
    **** ./rx-posix/match-regexp.c
    **** ./rx/super.c
     
     	Nits to start to shut up `gcc -O4 -Wall'.
     

    new files:
     os/sys/mman.h

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     os/sys/stat.h rx-posix/match-regexp.c rx/super.c


2002-05-07 GMT	Tom Lord <lord@regexps.com>	patch-36

    Summary:
      an `unexec' hook
    Revision:
      hackerlab--lord--1.0--patch-36

    
    Added a hook in `vu' to reinitialize a process created
    from an unexeced executable.
    
    Added `piw' to the build so as not to pick up `malloc' from
    a dynamically loaded shared library.
    

    new files:
     piw piw-glob piw-malloc

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in vu/vu.c vu/vu.h

    new directories:
     =piw


2002-05-02 GMT	Tom Lord <lord@regexps.com>	patch-35

    Summary:
      fixed an rx bug
    Revision:
      hackerlab--lord--1.0--patch-35

    (rx-posix/re8-parse.c) Oops .. the last aesthetically-based code
    rearrangement actually caused a storage leak -- fixed.
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     rx-posix/re8-parse.c


2002-05-01 GMT	Tom Lord <lord@regexps.com>	patch-34

    Summary:
      various `rx' fixes
    Revision:
      hackerlab--lord--1.0--patch-34

    
    `rx-posix/match-regexp.c': `rx_solution_fits' returns a non-boolean
      value (but with 0 indicating false), so don't assume it is either
      0 or 1.
    
    
    `rx-posix/posix.c': Mised an anchor case when REG_NEWLINE is provided.
    
    `rx-posix/re8-parse.c': code rearrangement for clarity.
    
    `tests/rx-posix-tests/test-rx.scm': added code to generate tests
      that can be run in Tcl (to test the Tcl matcher).
    
    `tests/rx-posix-tests/=test.tcl': a Tcl script of the regexp tests.
    

    new files:
     tests/rx-posix-tests/=test.tcl

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in rx-posix/match-regexp.c rx-posix/posix.c
     rx-posix/re8-parse.c tests/rx-posix-tests/test-rx.scm


2002-03-24 GMT	Tom Lord <lord@regexps.com>	patch-33

    Summary:
      rx-posix bug fixes and new test cases
    Revision:
      hackerlab--lord--1.0--patch-33

    There was an obscure bug in handling regexps with *, and fixing it
    revealed a bug in handling concatenations.
    
    These fixes pertain to rx-posix-tests test cases:
    
    	posix-2.8.4.3-48 ... posix-2.8.4.3-53
    

    new files:
     tests/rx-posix-tests/posix-test-cases.h
     tests/rx-posix-tests/test-cases.h

    removed files:
     tests/rx-posix-tests/test-cases.h
     tests/rx-posix-tests/posix-test-cases.h

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     rx-posix/limits.h rx-posix/match-regexp.c
     tests/rx-posix-tests/test-rx.scm


2002-03-22 GMT	Tom Lord <lord@regexps.com>	patch-32

    Summary:
      os/Makefile.in `rm' tolerance for cygwin	 machine/endian.sh fix for CC
    Revision:
      hackerlab--lord--1.0--patch-32

    In `os/Makefile.in', don't fail if a particular temp file can't be
    removed.
    
    It isn't particularly important to anything that the remove succeed.
    It fails on cygwin where cc generates executables with a ".exe".
    Added -f to the `rm' call so this doesn't get in the way of people
    investigating the possibility of a cygwin port.
    
    
    In `machine/endian.sh' and its `Makefile.in', use the CC variable
    from make rather than hard-coded cc.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     machine/Makefile.in machine/endian.sh os/Makefile.in


2002-03-20 GMT	Tom Lord <lord@regexps.com>	patch-31

    Summary:
      test/fs-tests/Makefile.in -- don't hardcode `sh'
    Revision:
      hackerlab--lord--1.0--patch-31

    
    Use the configured posix shell, not `sh' to run a shell script.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/fs-tests/Makefile.in


2002-03-14 GMT	Tom Lord <lord@regexps.com>	patch-30

    Summary:
      fixed type of `rx_analyze_rexp'
    Revision:
      hackerlab--lord--1.0--patch-30

    The third argument of `rx_analyze_rexp' was `int' but needed
    to be `size_t'.
    

    new files:
     rx-posix/=later/regex-utils.c

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     libhackerlab/libhackerlab.doc rx-posix/match-regexp.c
     rx-posix/match-regexp.h

    new directories:
     rx-posix/=later


2002-03-10 GMT	Tom Lord <lord@regexps.com>	patch-29

    Summary:
      merge with `devo'
    Revision:
      hackerlab--lord--1.0--patch-29

    Patches applied (editted):
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-15
         updated =TODO
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-14
         merge with `lord'
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-13
         updated the "=NEWS" file
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-12
         merge with `lord'
         [repeated]

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-12
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-13
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-14
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-15
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-8
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-9

    modified files:
     =NEWS =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-10
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-11
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-12
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-13
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-14
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-15
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-8
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-9


2002-03-01 GMT	Tom Lord <lord@regexps.com>	patch-28

    Summary:
      updated =TODO
    Revision:
      hackerlab--lord--1.0--patch-28

    Updated the "=TODO" file.
    

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-25 GMT	Tom Lord <lord@regexps.com>	patch-27

    Summary:
      minor `panic_exit' bug fix,	 new-functions: `quicksort', `tmp_open', `tmp_open_anonymous', 			`current_working_directory'
    Revision:
      hackerlab--lord--1.0--patch-27

    
    In `panic_exit', exit with status 2, rather than 1, so that `panic' is
    useful in programs for which 1 is an ordinary (informative) exit
    status.
    
    `cwd.[ch]': a simplified interface to `getcwd'.
    
    `tmp-files.[ch]': functions for creating temp files in a reliable way.
    
    `qsort.[ch]': a quicksort function (adapted from GNU libc).  This
    	      improves on unix `qsort' by passing a closure from the
    	      the caller to the comparison function.
    
    

    new files:
     sort/PLUGIN/.arch-ids/=dont-care fs/cwd.c sort/qsort.c
     sort/Makefile.in fs/tmp-files.c fs/cwd.h sort/qsort.h
     fs/tmp-files.h sort/PLUGIN/REQ

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in bugs/panic-exit.c fs/file-names.c

    new directories:
     sort sort/PLUGIN sort/PLUGIN/.arch-ids


2002-02-20 GMT	Tom Lord <lord@regexps.com>	patch-26

    Summary:
      updated =NEWS
    Revision:
      hackerlab--lord--1.0--patch-26

    Updated "=NEWS".

    modified files:
     =NEWS =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-18 GMT	Tom Lord <lord@regexps.com>	patch-25

    Summary:
      Fixed the error number convention
    Revision:
      hackerlab--lord--1.0--patch-25

    
    Functions which return an error number in an `int *' return parameter
    must not modify the value stored in that integer unless an error
    actually occurs.
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     vu/reserv.c vu/vu-sys.c


2002-02-16	Tom Lord <lord@regexps.com>	patch-24

    Summary:
      portability improvements
    Revision:
      hackerlab--lord--1.0--patch-24

    
    `vu-sys': don't declare `rename'.  On Posix systems, it is already
    declared in "unistd.h".  On other systems, we get a "-Wall" warning
    about an undeclared function, but I'll live with that.
    
    `url-socket': don't use `inet_aton' since not all systems have it.
    Instead, use `inet_addr' (a trick glommed from `wu-ftp') and 64-bit
    IP addresses be damned (for now).
    
    `coding-inlines': don't forget to define the macro "__attribute__(X)"
    if GCC is not the compiler.
    
    `unistd.h': removed an ancient, out-of-date comment.
    
    `char-class-local.[ch]': `isblank' is not POSIX and I don't use it, so
    it's gone.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     os/char-class-locale.c os/char-class-locale.h os/unistd.h
     uni/coding-inlines.h vu-network/url-socket.c vu/vu-sys.c


2002-02-16	Tom Lord <lord@regexps.com>	patch-23

    Summary:
      (interface change) support both short and long help messages
    Revision:
      hackerlab--lord--1.0--patch-23

    `cmd/opt.c': support both short (options only) and long (options plus
    additional explanatory text) help messages in `opt_standard'.
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     cmd/opt.c cmd/opt.h tests/arrays-tests/unit-ar.c
     tests/bitset-tests/unit-bits.c
     tests/bitset-tests/unit-bitset-tree.c
     tests/bitset-tests/unit-bitset.c tests/bugs-tests/unit-panic.c
     tests/bugs-tests/unit-test-coverage.c
     tests/char-tests/unit-char-class.c
     tests/char-tests/unit-char-name.c tests/char-tests/unit-str.c
     tests/fmt-tests/unit-cvt.c tests/fs-tests/unit-file-names.c
     tests/hash-tests/unit-hash-utils.c
     tests/hash-tests/unit-hashtree.c
     tests/mem-tests/unit-alloc-limits.c tests/mem-tests/unit-mem.c
     tests/mem-tests/unit-must-malloc.c
     tests/rx-posix-tests/test-dbug.c
     tests/rx-posix-tests/test-rx.c
     tests/rx-posix-tests/test-search.c
     tests/rx-tests/unit-dfa-iso8859-1.c
     tests/rx-tests/unit-dfa-utf-no-surrogates.c
     tests/rx-tests/unit-dfa-utf.c tests/rx-tests/unit-dfa-utf16.c
     tests/rx-tests/unit-dfa-utf8.c tests/uni-tests/unit-coding.c
     tests/uni-tests/unit-cvt.c tests/unidata-tests/unit-unidata.c
     unidata-scaffolding/unidata-generate.c


2002-02-14	Tom Lord <lord@regexps.com>	patch-22

    Summary:
      updated =NEWS
    Revision:
      hackerlab--lord--1.0--patch-22

    
    Updated "=NEWS".
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-14	Tom Lord <lord@regexps.com>	patch-21

    Summary:
      change the interface to vu_readdir
    Revision:
      hackerlab--lord--1.0--patch-21

    
    There is simply no portable way to copy a dirent structure in Posix.
    
    The amount of memory allocated to a dirent structure is not fixed --
    ("sizeof (struct dirent)" is, at best, an upper bound, not a guarantee
    -- if an implementation uses the old 0-or-1-byte tail array trick, it
    isn't even an upper bound.)  The only portable field in dirent is
    `d_name', but there is no guaranteed relation between the string
    stored there and the total size of the structure.
    
    Therefore, `vu_readdir' now returns a dynamically allocated file
    name.  (Those rare applications that don't want to dynamically
    allocate storage for the name can use alloc_limits tricks to avoid
    doing so.)
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     vu-network/url-socket.c vu/safe.c vu/safe.h vu/url-fd.c
     vu/vfdbuf.c vu/vfdbuf.h vu/vu-sys.c vu/vu-sys.h
     vu/vu-virtual-null.c vu/vu.c vu/vu.h


2002-02-13	Tom Lord <lord@regexps.com>	patch-20

    Summary:
      tests/fs-tests: don't count on `which test`
    Revision:
      hackerlab--lord--1.0--patch-20

    With some shells, `which test` does not return a path (it reports that
    "test" is a shell built-in).  Therefore, don't use the output of
    `which test` to test `path_find_executable`.
    
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/fs-tests/unit-file-names.sh


2002-02-13	Tom Lord <lord@regexps.com>	patch-19

    Summary:
      unit-ar.c bug fix
    Revision:
      hackerlab--lord--1.0--patch-19

    An array was being initialized incorrectly, causing the
    test to hang on some systems.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/arrays-tests/unit-ar.c


2002-02-08	Tom Lord <lord@regexps.com>	patch-18

    Summary:
      unplugged sb
    Revision:
      hackerlab--lord--1.0--patch-18

    The unecessary `sb' program in `src/hackerlab' has been unplugged --
    it is no longer built or installed by default.  `sb' can act as a
    promiscuous inet server and is a nameclash on some systems.
    

    new files:
     sb/UNPLUGGED/REQ

    removed files:
     sb/PLUGIN/REQ

    modified files:
     =README =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    renamed files:
     sb/PLUGIN/.arch-ids/=dont-care
       ==> sb/UNPLUGGED/.arch-ids/=dont-care


    new directories:
     sb/UNPLUGGED sb/UNPLUGGED/.arch-ids

    removed directories:
     sb/PLUGIN sb/PLUGIN/.arch-ids


2002-02-08	Tom Lord <lord@regexps.com>	patch-17

    Summary:
      disabled the rx-xml unit tests
    Revision:
      hackerlab--lord--1.0--patch-17

    Rx-xml is broken on big-endian machines, and not critically
    important right now.  Disabling the unit tests allows "make test" 
    to work for "arch" users.
    

    new files:
     tests/rx-xml-tests/UNPLUGGED/REQ

    removed files:
     tests/rx-xml-tests/PLUGIN/REQ

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    renamed files:
     tests/rx-xml-tests/PLUGIN/.arch-ids/=dont-care
       ==> tests/rx-xml-tests/UNPLUGGED/.arch-ids/=dont-care


    new directories:
     tests/rx-xml-tests/UNPLUGGED
     tests/rx-xml-tests/UNPLUGGED/.arch-ids

    removed directories:
     tests/rx-xml-tests/PLUGIN tests/rx-xml-tests/PLUGIN/.arch-ids


2002-02-07	Tom Lord <lord@regexps.com>	patch-16

    Summary:
      updated =NEWS
    Revision:
      hackerlab--lord--1.0--patch-16

    
    Updated "=NEWS".
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-07	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      fixed a machine alignment requirements bug
    Revision:
      hackerlab--lord--1.0--patch-15

    
    `machine/gen-alignment.to-c' was computing the greatest common 
    divisor of two numbers incorrectly, leading to alignment errors
    on some platforms.
    

    new files:
     =THANKS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     machine/gen-alignment.to-c


2002-02-06	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      fixed an endian-bug in uni/coding-inlines.c
    Revision:
      hackerlab--lord--1.0--patch-14

    `uni/coding-inlines.c' was testing a macro of the wrong name to 
    find out whether or not the machine is big-endian.
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-7

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     uni/coding-inlines.c

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-7


2002-01-29	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      new function `safe_printfmt_va_list'
    Revision:
      hackerlab--lord--1.0--patch-13

    
    `safe_printfmt_va_list' is just like `printfmt_va_list', except
    that it never returns an error (calling `panic' instead).
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-6

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     vu/safe-printfmt.c vu/safe-printfmt.h

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-6


2002-01-23	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      new header file `hackerlab/os/time.h,	 added some missing tags	 fixed a trivial bug in `vu.c'
    Revision:
      hackerlab--lord--1.0--patch-12

    `hackerlab/os/time.h': a portability buffer to <time.h>
    
    `vu.c': don't register an infinite number of `atexit' handlers.
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-5
     os/time.h

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/arrays-tests/unit-ar.sh
     tests/arrays-tests/unit-pow2-array.sh
     tests/bitset-tests/unit-bits.sh vu/vu.c

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-5


2002-01-18	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      fixed non-POSIX bug in url-socket.c, updated =NEWS
    Revision:
      hackerlab--lord--1.0--patch-11

    `url-socket.c': Avoid the O_ASYNC flag; it isn't POSIX and I don't 
    need it.
    
    Updated =NEWS for the next release.
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     vu-network/url-socket.c


2002-01-17	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      nit city
    Revision:
      hackerlab--lord--1.0--patch-10

    Added __attribute__((printf ...)) to the declarations for `printfmt'
    and `safe_printfmt'.
    
    Fixed all bugs detected by GCC options -Wformat and -Wall.

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     bitsets/bits-print.c bitsets/bitset.c bitsets/bitset.h
     cmd/main.h rx/dbug.c tests/bitset-tests/unit-bitset.c
     tests/rx-posix-tests/test-rx.c
     tests/rx-tests/unit-dfa-iso8859-1.c
     tests/rx-tests/unit-dfa-utf-no-surrogates.c
     tests/rx-tests/unit-dfa-utf.c tests/rx-tests/unit-dfa-utf16.c
     tests/rx-tests/unit-dfa-utf8.c
     tests/rx-xml-tests/test-time-re.c tests/rx-xml-tests/unit-re.c
     tests/unidata-tests/unit-unidata.c
     unidata-scaffolding/unidata-generate.c vu-network/url-socket.c
     vu/printfmt.c vu/printfmt.h vu/reserv.c vu/safe-printfmt.c
     vu/safe-printfmt.h vu/safe-vfdbuf.c vu/safe-vu-utils.c
     vu/vu-help.c vu/vu-sys.c


2002-01-17	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      merge from `devo'
    Revision:
      hackerlab--lord--1.0--patch-9

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-4
         documentation Makefile fix
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-3
         minor bug fix
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-3
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-4

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     libhackerlab/Makefile.in sb/sb.c

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-3
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-4


2002-01-17	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      merge from `devo'
    Revision:
      hackerlab--lord--1.0--patch-8

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--devo--1.0--patch-2
         merge from `lord'
         	 --version support
         	 boilerplate files
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-2

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-2


2002-01-13	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      corrected "Report bugs to" address
    Revision:
      hackerlab--lord--1.0--patch-7

    Probably bugs for this package should be sent to "<bug-make@gnu.org>".
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0 sb/sb.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      fixed --version support
    Revision:
      hackerlab--lord--1.0--patch-6

    `--version' (in sb.c) now prints a version id based on
    "src/=project/package".
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0 sb/sb.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      fixed bug in version id printing
    Revision:
      hackerlab--lord--1.0--patch-5

    Simple typo in `opt.c'.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     cmd/opt.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      =NEWS file updates
    Revision:
      hackerlab--lord--1.0--patch-4

    =NEWS file updates
    

    new files:
     =NEWS

    removed files:
     =NEWS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-01-11	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      added boilerplate files
    Revision:
      hackerlab--lord--1.0--patch-3

    Added =README, =NEWS, =TODO, and COPYING.
    

    new files:
     {arch}/hackerlab/hackerlab--devo/hackerlab--devo--1.0/lord@regexps.com--2002/patch-log/patch-1
     COPYING =TODO =README =NEWS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-1


2002-01-07	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      ChangeLog reorg
    Revision:
      hackerlab--lord--1.0--patch-2

    Name ChangeLogs by branch.  Use tagged ChangeLogs.
    

    new files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog ChangeLog.d/lord@regexps.com--2002/ChangeLog

    renamed files:
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo
       ==> ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo--1.0



2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      modified ChangeLog structure
    Revision:
      hackerlab--lord--1.0--patch-1

    
    Added ChangeLog.d and rearranged ChangeLogs into a sensible
    arrangement for multi-branch development.
    

    new files:
     ChangeLog.d/lord@regexps.com--2002/ChangeLog
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo

    modified files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regexps.com--2001Q4
     ChangeLog.d/lord@regexps.com--2002


2002-01-12	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/hackerlab--devo--1.0--base-0
    Revision:
      hackerlab--lord--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2002/hackerlab--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-1
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-2
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-3
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-4


